cutlass::NumericConverter< half_t, float, FloatRoundStyle::round_toward_zero > Struct Template Reference

Specialization for round-toward-zero.

`#include <numeric_conversion.h>`

## Public Types

using | result_type = half_t
using | source_type = float

## Public Member Functions

CUTLASS_HOST_DEVICE result_type | operator() (source_type const &s)

## Static Public Member Functions

static CUTLASS_HOST_DEVICE result_type | convert (source_type const &flt)
| Round toward zero. More...

## Static Public Attributes

static FloatRoundStyle const | round_style = FloatRoundStyle::round_toward_zero

## Member Typedef Documentation

using cutlass::NumericConverter< half_t, float, FloatRoundStyle::round_toward_zero >::result_type = half_t

using cutlass::NumericConverter< half_t, float, FloatRoundStyle::round_toward_zero >::source_type = float

## Member Function Documentation

static CUTLASS_HOST_DEVICE result_type cutlass::NumericConverter< half_t, float, FloatRoundStyle::round_toward_zero >::convert | ( | source_type const & | flt | ) |

inlinestatic

CUTLASS_HOST_DEVICE result_type cutlass::NumericConverter< half_t, float, FloatRoundStyle::round_toward_zero >::operator() | ( | source_type const & | s | ) |

inline

## Member Data Documentation

FloatRoundStyle const cutlass::NumericConverter< half_t, float, FloatRoundStyle::round_toward_zero >::round_style = FloatRoundStyle::round_toward_zero

static

The documentation for this struct was generated from the following file:

- numeric_conversion.h